--------------------
---- WORKSPACES ----
--------------------
-- Version 2
-- Last change: Sun 2026-06-14 using Hyprland v0.55.3-1
-- Git repo: https://git.fennek.xyz/fennek182/dotfiles

-- See https://wiki.hypr.land/Configuring/Basics/Workspace-Rules/ for more

hl.workspace_rule({
    workspace = 1,
    monitor = "desc:Acer Technologies VG270U P 0x847015E8",
    default = true,
})

hl.workspace_rule({
    workspace = 2,
    monitor = "desc:Acer Technologies VG270U P 0x847015E8",
    default = true,
})

hl.workspace_rule({
    workspace = 3,
    monitor = "desc:Acer Technologies VG270U P 0x847015E8",
    default = true,
})

hl.workspace_rule({
    workspace = 4,
    monitor = "desc:Acer Technologies VG270U P 0x847015E8",
    default = true,
})

hl.workspace_rule({
    workspace = 5,
    monitor = "desc:LG Electronics LG ULTRAGEAR+ 310NTWGDY841",
    default = true,
})

hl.workspace_rule({
    workspace = 6,
    -- workspace = "name:M2",
    monitor = "desc:LG Electronics LG ULTRAGEAR+ 310NTWGDY841",
    default = true,
})

hl.workspace_rule({
    workspace = 7,
    monitor = "desc:LG Electronics LG ULTRAGEAR+ 310NTWGDY841",
    default = true,
})

hl.workspace_rule({
    workspace = 8,
    monitor = "desc:LG Electronics LG ULTRAGEAR+ 310NTWGDY841",
    default = true,
})

hl.workspace_rule({
    workspace = 9,
    monitor = "desc:Samsung Electric Company Odyssey G70B H1AK500000",
    default = true,
})

hl.workspace_rule({
    workspace = 10,
    monitor = "desc:Samsung Electric Company Odyssey G70B H1AK500000",
    default = true,
})

hl.workspace_rule({
    workspace = 11,
    monitor = "desc:Samsung Electric Company Odyssey G70B H1AK500000",
    default = true,
})

hl.workspace_rule({
    workspace = 12,
    monitor = "desc:Samsung Electric Company Odyssey G70B H1AK500000",
    default = true,
})

hl.workspace_rule({
    workspace = 13,
    monitor = "desc:Yamaha Corporation RX-S602",
    default = true,
})

hl.workspace_rule({
    workspace = 14,
    monitor = "desc:Yamaha Corporation RX-S602",
    default = true,
})

hl.workspace_rule({
    workspace = 15,
    monitor = "desc:Yamaha Corporation RX-S602",
    default = true,
})

hl.workspace_rule({
    workspace = 16,
    monitor = "desc:Yamaha Corporation RX-S602",
    default = true,
})


hl.workspace_rule({
    workspace = "w[tv1]",
    gaps_out = 0,
    gaps_in = 0,
})

hl.workspace_rule({
    workspace = "f[1]",
    gaps_out = 0,
    gaps_in = 0,
})

--- No gaps on fullscreen
-- https://wiki.hyprland.org/Configuring/Workspace-Rules/#smart-gaps
-- To replicate “smart gaps” / “no gaps when only” from other WMs/Compositors, use this bad boy:
hl.workspace_rule({ workspace = "w[tv1]", gaps_out = 0, gaps_in = 0 })
hl.workspace_rule({ workspace = "f[1]", gaps_out = 0, gaps_in = 0 })
